import java.io.BufferedReader;
import java.io.InputStreamReader;
import java.io.PrintWriter;
import java.net.Socket;

public class ConnectionHandler {

	public static void handleConnection(Socket s) {
		try {
			System.out.println("Accepted new Connection!");
			PrintWriter p = new PrintWriter(s.getOutputStream());
			BufferedReader r = new BufferedReader(new InputStreamReader(s.getInputStream()));
			p.print("Hello stranger, nice to meet you!\n\r");
			p.flush();
            String l;
			while (!(l=r.readLine()).contains("bye")) {
                System.out.println("Received: " + l);
				p.print("Don't understand.\n\r");
				p.flush();
			}
			System.out.print("Disconnecting.\n\r");
			p.println("Bye!");
			p.flush();
			s.close();
        } catch (Exception ex) {
            ex.printStackTrace();
            System.exit(1);
        }
	}
	
}
