import java.net.ServerSocket;
import java.net.Socket;

public class SimpleServer {

	ServerSocket ssocket;
	
	public SimpleServer(int port) {
		try {
			ssocket = new ServerSocket(port);
		} catch (Exception e) {
			e.printStackTrace();
		}
		
	}
	
	public void serve() {
		System.out.println("Server started, waiting for connection");
		try {
			while (true) {
				Socket sock = ssocket.accept();
				ConnectionHandler.handleConnection(sock);
			}
		} catch (Exception e) {
			e.printStackTrace();
		}
	}
	
	public static void main(String[] args) {
		SimpleServer s = new SimpleServer(Integer.parseInt(args[0]));
		s.serve();
	}

}
